Index: trunk/lib/FlairCore/src/TabWidget.h
===================================================================
--- trunk/lib/FlairCore/src/TabWidget.h	(revision 14)
+++ trunk/lib/FlairCore/src/TabWidget.h	(revision 15)
@@ -16,47 +16,51 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
-    class LayoutPosition;
+namespace flair {
+namespace gui {
+class LayoutPosition;
 
-    /*! \class TabWidget
-    *
-    * \brief Class displaying a QTabWidget on the ground station
-    *
-    * TabWidget contains Tabs.
-    *
-    */
-    class TabWidget:public Widget
-    {
-        public:
-            /*!
-            * \enum TabPosition_t
-            * \brief Position of tabs
-            */
-            typedef enum { North/*! north */, South/*! south */, West/*! west */, East/*! east */} TabPosition_t;
+/*! \class TabWidget
+*
+* \brief Class displaying a QTabWidget on the ground station
+*
+* TabWidget contains Tabs.
+*
+*/
+class TabWidget : public Widget {
+public:
+  /*!
+  * \enum TabPosition_t
+  * \brief Position of tabs
+  */
+  typedef enum {
+    North /*! north */,
+    South /*! south */,
+    West /*! west */,
+    East /*! east */
+  } TabPosition_t;
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QTabWidget at given position. \n
-            * The TabWidget will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param position position
-            * \param name name
-            * \param tabPosition position of tabs
-            */
-            TabWidget(const LayoutPosition* position,std::string name,TabPosition_t tabPosition=TabWidget::West);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QTabWidget at given position. \n
+  * The TabWidget will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param position position
+  * \param name name
+  * \param tabPosition position of tabs
+  */
+  TabWidget(const LayoutPosition *position, std::string name,
+            TabPosition_t tabPosition = TabWidget::West);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TabWidget();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TabWidget();
 
-        private:
-    };
+private:
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/TcpSocket.cpp
===================================================================
--- trunk/lib/FlairCore/src/TcpSocket.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/TcpSocket.cpp	(revision 15)
@@ -28,207 +28,219 @@
 namespace core {
 
-TcpSocket::TcpSocket(const Object* parent,const std::string name,bool _blockOnSend,bool _blockOnReceive):ConnectedSocket(parent,name),isConnected(false) {
-    blockOnSend=_blockOnSend;
-    blockOnReceive=_blockOnReceive;
+TcpSocket::TcpSocket(const Object *parent, const std::string name,
+                     bool _blockOnSend, bool _blockOnReceive)
+    : ConnectedSocket(parent, name), isConnected(false) {
+  blockOnSend = _blockOnSend;
+  blockOnReceive = _blockOnReceive;
 }
 
 TcpSocket::~TcpSocket() {
-    //Info("Debug: destroying TCP socket %s", ObjectName().c_str());
+  // Info("Debug: destroying TCP socket %s", ObjectName().c_str());
+  close(socket);
+}
+
+void TcpSocket::Listen(const unsigned int port,
+                       const std::string localAddress) {
+  socket = ::socket(AF_INET, SOCK_STREAM, 0);
+
+  sockaddr_in my_addr;
+  my_addr.sin_family = AF_INET;
+  my_addr.sin_port = htons(port);
+  if (localAddress == "ANY") {
+    my_addr.sin_addr.s_addr = INADDR_ANY;
+  } else {
+    inet_aton(localAddress.c_str(), &(my_addr.sin_addr));
+  }
+  memset(&(my_addr.sin_zero), '\0', 8);
+
+  if (bind(socket, (sockaddr *)&my_addr, sizeof(my_addr)) < 0) {
+    char errorMsg[256];
+    Err("TCP bind, %s\n", strerror_r(errno, errorMsg, sizeof(errorMsg)));
+  }
+
+  listen(socket, 1);
+}
+
+TcpSocket *TcpSocket::Accept(Time timeout) {
+  char errorMsg[256];
+  TcpSocket *acceptedSocket = nullptr;
+
+  struct timeval tv;
+  if (timeout != 0) {
+    tv.tv_sec = timeout / 1000; // timeout is in ms
+    tv.tv_usec = (timeout % 1000) * 1000;
+  }
+  fd_set rset;
+  FD_ZERO(&rset);
+  FD_SET(socket, &rset);
+  int ret = select(socket + 1, &rset, nullptr, nullptr,
+                   (timeout == 0) ? nullptr : &tv); // man 2 accept
+  if (ret < 0) {
+    Err("select: %s\n", strerror_r(errno, errorMsg, sizeof(errorMsg)));
+  } else {
+    if (ret == 0) {
+      // timeout reached
+      // Err("timeout reached\n");
+    } else {
+      // our socket is readable, a new connection can be accepted
+      acceptedSocket = new TcpSocket(this->Parent(), this->ObjectName(),
+                                     blockOnSend, blockOnReceive);
+      sockaddr_in their_addr;
+      socklen_t namelen = sizeof(their_addr);
+      if ((acceptedSocket->socket =
+               accept(socket, (sockaddr *)&their_addr, &namelen)) < 0) {
+        Err("error: %s\n", strerror_r(errno, errorMsg, sizeof(errorMsg)));
+        delete acceptedSocket;
+        acceptedSocket = nullptr;
+      }
+    }
+  }
+
+  return acceptedSocket;
+}
+
+bool TcpSocket::Connect(const unsigned int distantPort,
+                        const std::string distantAddress, Time timeout) {
+  bool success = false;
+  char errorMsg[256];
+
+  if (isConnected) {
+    if (this->distantPort == distantPort &&
+        this->distantAddress == distantAddress) {
+      return true;
+    } else {
+      close(socket);
+    }
+  }
+  socket = ::socket(AF_INET, SOCK_STREAM, 0);
+  if (socket == -1)
+    return false;
+
+  sockaddr_in serv_addr;
+  serv_addr.sin_family = AF_INET;
+  serv_addr.sin_port = htons(short(distantPort));
+  if (inet_pton(AF_INET, distantAddress.c_str(), &serv_addr.sin_addr) <= 0) {
+    printf("incorrect network address.");
     close(socket);
-}
-
-void TcpSocket::Listen(const unsigned int port,const std::string localAddress) {
-    socket=::socket(AF_INET,SOCK_STREAM,0);
-
-    sockaddr_in my_addr;
-    my_addr.sin_family = AF_INET;
-    my_addr.sin_port = htons(port);
-    if (localAddress=="ANY") {
-        my_addr.sin_addr.s_addr=INADDR_ANY;
+    return false;
+  }
+  memset(&(serv_addr.sin_zero), '\0', 8);
+
+  // go non blocking
+  int flags = fcntl(socket, F_GETFL);
+  fcntl(socket, F_SETFL, flags | O_NONBLOCK);
+  if (connect(socket, (sockaddr *)&serv_addr, sizeof(serv_addr)) == -1) {
+    if ((errno != EINPROGRESS) && (errno != EAGAIN)) {
+      Err("socket connect: %s\n",
+          strerror_r(errno, errorMsg, sizeof(errorMsg)));
+      success = false;
     } else {
-        inet_aton(localAddress.c_str(),&(my_addr.sin_addr));
+      // now block with a timeout
+      struct timeval tv;
+      if (timeout != 0) {
+        tv.tv_sec = timeout / 1000; // timeout is in ms
+        tv.tv_usec = (timeout % 1000) * 1000;
+      }
+      fd_set wset;
+      FD_ZERO(&wset);
+      FD_SET(socket, &wset);
+      int ret =
+          select(socket + 1, NULL, &wset, NULL,
+                 (timeout == 0) ? NULL : &tv); // man 2 connect EINPROGRESS
+      if (ret < 0) {
+        Err("select: %s\n", strerror_r(errno, errorMsg, sizeof(errorMsg)));
+        success = false;
+      } else {
+        if (ret == 0) {
+          // timeout reached
+          // Err("timeout reached\n");
+          success = false;
+        } else {
+          // something happened on our socket. Check if an error occured
+          int error;
+          socklen_t len = sizeof(error);
+          if (getsockopt(socket, SOL_SOCKET, SO_ERROR, &error, &len) != 0) {
+            // Err("getsockopt:
+            // %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
+            success = false;
+          } else if (error != 0) {
+            // Err("socket error:
+            // %d(%s)\n",error,strerror_r(error,errorMsg,sizeof(errorMsg)));
+            success = false;
+          } else {
+            if (connect(socket, (sockaddr *)&serv_addr, sizeof(serv_addr)) ==
+                -1) {
+              success = false;
+            } else {
+              // Info("connected indeed ^^\n");
+              success = true;
+            }
+          }
+        }
+      }
     }
-    memset(&(my_addr.sin_zero), '\0', 8);
-
-    if (bind(socket,(sockaddr*)&my_addr,sizeof(my_addr))<0) {
-        char errorMsg[256];
-        Err("TCP bind, %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-    }
-
-    listen(socket,1);
-}
-
-TcpSocket *TcpSocket::Accept(Time timeout) {
-    char errorMsg[256];
-    TcpSocket *acceptedSocket=nullptr;
-
+  } else {
+    success = true; // never reached suprisingly...
+  }
+  // switch back to blocking mode (default)
+  fcntl(socket, F_SETFL, flags);
+
+  if (!success) {
+    close(socket);
+    // Info("Debug: Connect to %s:%d failed\n", distantAddress.c_str(),
+    // distantPort);
+    return false;
+  } else {
+    isConnected = true;
+    this->distantPort = distantPort;
+    this->distantAddress = distantAddress;
+    // Info("Debug: Connect to %s:%d succeeded\n", distantAddress.c_str(),
+    // distantPort);
+    return true;
+  }
+}
+
+ssize_t TcpSocket::SendMessage(const char *buffer, size_t bufferSize,
+                               Time timeout) {
+  int flags = 0;
+  if (!blockOnSend) {
+    flags |= MSG_DONTWAIT;
+  } else {
     struct timeval tv;
-    if (timeout!=0) {
-        tv.tv_sec=timeout/1000; //timeout is in ms
-        tv.tv_usec=(timeout%1000)*1000;
-    }
-    fd_set rset;
-    FD_ZERO(&rset);
-    FD_SET(socket, &rset);
-    int ret=select(socket + 1, &rset, nullptr, nullptr,(timeout==0)?nullptr:&tv); //man 2 accept
-    if (ret<0) {
-        Err("select: %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-    } else {
-        if (ret==0) {
-            //timeout reached
-            //Err("timeout reached\n");
-        } else {
-            //our socket is readable, a new connection can be accepted
-            acceptedSocket=new TcpSocket(this->Parent(),this->ObjectName(),blockOnSend,blockOnReceive);
-            sockaddr_in their_addr;
-            socklen_t namelen = sizeof(their_addr);
-            if ((acceptedSocket->socket=accept(socket,(sockaddr*)&their_addr, &namelen))<0) {
-                Err("error: %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-                delete acceptedSocket;
-                acceptedSocket=nullptr;
-            }
-        }
-    }
-
-    return acceptedSocket;
-}
-
-bool TcpSocket::Connect(const unsigned int distantPort,const std::string distantAddress,Time timeout) {
-    bool success=false;
-    char errorMsg[256];
-
-    if (isConnected) {
-        if (this->distantPort==distantPort && this->distantAddress==distantAddress) {
-            return true;
-        } else {
-            close(socket);
-        }
-    }
-    socket=::socket(AF_INET,SOCK_STREAM,0);
-    if (socket==-1) return false;
-
-    sockaddr_in serv_addr;
-    serv_addr.sin_family = AF_INET;
-    serv_addr.sin_port = htons(short(distantPort));
-    if (inet_pton(AF_INET, distantAddress.c_str(), &serv_addr.sin_addr) <= 0) {
-        printf("incorrect network address.");
-        close(socket);
-        return false;
-    }
-    memset(&(serv_addr.sin_zero), '\0', 8);
-
-    //go non blocking
-    int flags=fcntl(socket, F_GETFL);
-    fcntl(socket, F_SETFL, flags | O_NONBLOCK);
-    if (connect(socket, (sockaddr*)&serv_addr, sizeof(serv_addr))==-1) {
-        if ((errno != EINPROGRESS) && (errno != EAGAIN)){
-            Err("socket connect: %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-            success=false;
-        } else {
-            //now block with a timeout
-            struct timeval tv;
-            if (timeout!=0) {
-                tv.tv_sec=timeout/1000; //timeout is in ms
-                tv.tv_usec=(timeout%1000)*1000;
-            }
-            fd_set wset;
-            FD_ZERO(&wset);
-            FD_SET(socket, &wset);
-            int ret=select(socket + 1, NULL, &wset, NULL,(timeout==0)?NULL:&tv); //man 2 connect EINPROGRESS
-            if (ret<0) {
-                Err("select: %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-                success=false;
-            } else {
-                if (ret==0) {
-                    //timeout reached
-                    //Err("timeout reached\n");
-                    success=false;
-                } else {
-                    //something happened on our socket. Check if an error occured
-                    int error;
-                    socklen_t len = sizeof(error);
-                    if (getsockopt(socket, SOL_SOCKET, SO_ERROR, &error, &len)!=0) {
-                        //Err("getsockopt: %s\n",strerror_r(errno,errorMsg,sizeof(errorMsg)));
-                        success=false;
-                    } else if (error!=0) {
-                        //Err("socket error: %d(%s)\n",error,strerror_r(error,errorMsg,sizeof(errorMsg)));
-                        success=false;
-                    } else {
-                        if (connect(socket, (sockaddr*)&serv_addr, sizeof(serv_addr))==-1) {
-                            success=false;
-                        } else {
-                            //Info("connected indeed ^^\n");
-                            success=true;
-                        }
-                    }
-                }
-            }
-        }
-    } else {
-        success=true; //never reached suprisingly...
-    }
-    //switch back to blocking mode (default)
-    fcntl(socket, F_SETFL, flags);
-
-    if (!success) {
-        close(socket);
-        //Info("Debug: Connect to %s:%d failed\n", distantAddress.c_str(), distantPort);
-        return false;
-    } else {
-        isConnected=true;
-        this->distantPort=distantPort;
-        this->distantAddress=distantAddress;
-        //Info("Debug: Connect to %s:%d succeeded\n", distantAddress.c_str(), distantPort);
-        return true;
-    }
-}
-
-ssize_t TcpSocket::SendMessage(const char* buffer,size_t bufferSize,Time timeout){
-    int flags=0;
-    if (!blockOnSend) {
-        flags|=MSG_DONTWAIT;
-    } else {
-        struct timeval tv;
-        tv.tv_sec=timeout/1000; //timeout is in ms
-        tv.tv_usec=(timeout%1000)*1000;
-
-        setsockopt(socket,SOL_SOCKET,SO_SNDTIMEO,(char *)&tv,sizeof(struct timeval));
-    }
-    ssize_t bytesSent=send(socket, buffer, bufferSize, flags);
-
-    return bytesSent;
-}
-
-ssize_t TcpSocket::RecvMessage(char* buffer,size_t bufferSize,Time timeout){
-    int flags=0;
-    if (!blockOnReceive) {
-        flags|=MSG_DONTWAIT;
-    } else {
-        struct timeval tv;
-        tv.tv_sec=timeout/1000; //timeout is in ms
-        tv.tv_usec=(timeout%1000)*1000;
-
-        setsockopt(socket,SOL_SOCKET,SO_RCVTIMEO,(char *)&tv,sizeof(struct timeval));
-    }
-    ssize_t bytesRead=recv(socket,buffer,bufferSize,flags);
-
-    return bytesRead;
-}
-
-uint16_t TcpSocket::NetworkToHost16(uint16_t data) {
-    return ntohs(data);
-}
-
-uint16_t TcpSocket::HostToNetwork16(uint16_t data) {
-    return htons(data);
-}
-
-uint32_t TcpSocket::NetworkToHost32(uint32_t data) {
-    return ntohl(data);
-}
-
-uint32_t TcpSocket::HostToNetwork32(uint32_t data) {
-    return htonl(data);
-}
+    tv.tv_sec = timeout / 1000; // timeout is in ms
+    tv.tv_usec = (timeout % 1000) * 1000;
+
+    setsockopt(socket, SOL_SOCKET, SO_SNDTIMEO, (char *)&tv,
+               sizeof(struct timeval));
+  }
+  ssize_t bytesSent = send(socket, buffer, bufferSize, flags);
+
+  return bytesSent;
+}
+
+ssize_t TcpSocket::RecvMessage(char *buffer, size_t bufferSize, Time timeout) {
+  int flags = 0;
+  if (!blockOnReceive) {
+    flags |= MSG_DONTWAIT;
+  } else {
+    struct timeval tv;
+    tv.tv_sec = timeout / 1000; // timeout is in ms
+    tv.tv_usec = (timeout % 1000) * 1000;
+
+    setsockopt(socket, SOL_SOCKET, SO_RCVTIMEO, (char *)&tv,
+               sizeof(struct timeval));
+  }
+  ssize_t bytesRead = recv(socket, buffer, bufferSize, flags);
+
+  return bytesRead;
+}
+
+uint16_t TcpSocket::NetworkToHost16(uint16_t data) { return ntohs(data); }
+
+uint16_t TcpSocket::HostToNetwork16(uint16_t data) { return htons(data); }
+
+uint32_t TcpSocket::NetworkToHost32(uint32_t data) { return ntohl(data); }
+
+uint32_t TcpSocket::HostToNetwork32(uint32_t data) { return htonl(data); }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/TcpSocket.h
===================================================================
--- trunk/lib/FlairCore/src/TcpSocket.h	(revision 14)
+++ trunk/lib/FlairCore/src/TcpSocket.h	(revision 15)
@@ -16,36 +16,39 @@
 #include <ConnectedSocket.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class TcpSocket
-    *
-    * \brief Class encapsulating a TCP socket
-    *
-    */
-    class TcpSocket:public ConnectedSocket {
-    public:
-        TcpSocket(const Object* parent,const std::string name,bool blockOnSend=false,bool blockOnReceive=true);
-        ~TcpSocket();
-        void Listen(const unsigned int port,const std::string localAddress="ANY");
-        TcpSocket *Accept(Time timeout=0); //should throw an exception if not a listening socket
-        bool Connect(const unsigned int distantPort,const std::string distantAddress,Time timeout=0); // timeout in milliseconds
-        ssize_t SendMessage(const char* message,size_t message_len,Time timeout=0); // timeout in milliseconds
-        ssize_t RecvMessage(char* buf,size_t buf_len,Time timeout=0); // timeout in milliseconds
+namespace flair {
+namespace core {
+/*! \class TcpSocket
+*
+* \brief Class encapsulating a TCP socket
+*
+*/
+class TcpSocket : public ConnectedSocket {
+public:
+  TcpSocket(const Object *parent, const std::string name,
+            bool blockOnSend = false, bool blockOnReceive = true);
+  ~TcpSocket();
+  void Listen(const unsigned int port, const std::string localAddress = "ANY");
+  TcpSocket *Accept(
+      Time timeout = 0); // should throw an exception if not a listening socket
+  bool Connect(const unsigned int distantPort, const std::string distantAddress,
+               Time timeout = 0); // timeout in milliseconds
+  ssize_t SendMessage(const char *message, size_t message_len,
+                      Time timeout = 0); // timeout in milliseconds
+  ssize_t RecvMessage(char *buf, size_t buf_len,
+                      Time timeout = 0); // timeout in milliseconds
 
-        uint16_t NetworkToHost16(uint16_t data);
-        uint16_t HostToNetwork16(uint16_t data);
-        uint32_t NetworkToHost32(uint32_t data);
-        uint32_t HostToNetwork32(uint32_t data);
+  uint16_t NetworkToHost16(uint16_t data);
+  uint16_t HostToNetwork16(uint16_t data);
+  uint32_t NetworkToHost32(uint32_t data);
+  uint32_t HostToNetwork32(uint32_t data);
 
-    private:
-        int socket; // socket file descriptor
-        bool blockOnSend;
-        bool blockOnReceive;
-        bool isConnected;
-        unsigned int distantPort;
-        std::string distantAddress;
-    };
+private:
+  int socket; // socket file descriptor
+  bool blockOnSend;
+  bool blockOnReceive;
+  bool isConnected;
+  unsigned int distantPort;
+  std::string distantAddress;
+};
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/TextEdit.cpp
===================================================================
--- trunk/lib/FlairCore/src/TextEdit.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/TextEdit.cpp	(revision 15)
@@ -22,42 +22,36 @@
 using std::string;
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-TextEdit::TextEdit(const LayoutPosition* position,string name,size_t buf_size): Widget(position->getLayout(),name,"TextEdit")
-{
-    SetVolatileXmlProp("row",position->Row());
-    SetVolatileXmlProp("col",position->Col());
-    SendXml();
+TextEdit::TextEdit(const LayoutPosition *position, string name, size_t buf_size)
+    : Widget(position->getLayout(), name, "TextEdit") {
+  SetVolatileXmlProp("row", position->Row());
+  SetVolatileXmlProp("col", position->Col());
+  SendXml();
 
-    delete position;
+  delete position;
 
-//    text_node=AddXmlChild("Text");
+  //    text_node=AddXmlChild("Text");
 
-    printf_buffer=(char*)malloc(buf_size);
-    if(printf_buffer==NULL) Err("erreur malloc\n");
+  printf_buffer = (char *)malloc(buf_size);
+  if (printf_buffer == NULL)
+    Err("erreur malloc\n");
 }
 
-TextEdit::~TextEdit()
-{
-    free(printf_buffer);
-}
+TextEdit::~TextEdit() { free(printf_buffer); }
 
+void TextEdit::Append(const char *format, ...) {
+  int n;
 
-void TextEdit::Append(const char * format, ...)
-{
-    int n;
+  va_list args;
+  va_start(args, format);
+  n = vsprintf(printf_buffer, format, args);
+  va_end(args);
+  if (n <= 0)
+    return;
 
-    va_list args;
-    va_start(args, format);
-    n = vsprintf(printf_buffer,format, args);
-    va_end (args);
-    if (n<=0) return;
-
-    SetVolatileXmlProp("value",printf_buffer,text_node);
-    SendXml();
-
+  SetVolatileXmlProp("value", printf_buffer, text_node);
+  SendXml();
 }
 
Index: trunk/lib/FlairCore/src/TextEdit.h
===================================================================
--- trunk/lib/FlairCore/src/TextEdit.h	(revision 14)
+++ trunk/lib/FlairCore/src/TextEdit.h	(revision 15)
@@ -16,51 +16,50 @@
 #include <Widget.h>
 
-namespace flair
-{
-namespace gui
-{
+namespace flair {
+namespace gui {
 
-    class LayoutPosition;
+class LayoutPosition;
 
-    /*! \class TextEdit
-    *
-    * \brief Class displaying a QTextEdit on the ground station
-    *
-    * QTextEdit allows printing on multiple lines. \n
-    *
-    */
-    class TextEdit:public Widget
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a QTabWidget at given position. \n
-            * The TextEdit will automatically be child of position->getLayout() Layout. After calling this constructor,
-            * position will be deleted as it is no longer usefull.
-            *
-            * \param parent parent
-            * \param name name
-            * \param buf_size size of the text buffer
-            */
-            TextEdit(const LayoutPosition* position,std::string name,size_t buf_size=255);
+/*! \class TextEdit
+*
+* \brief Class displaying a QTextEdit on the ground station
+*
+* QTextEdit allows printing on multiple lines. \n
+*
+*/
+class TextEdit : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QTabWidget at given position. \n
+  * The TextEdit will automatically be child of position->getLayout() Layout.
+  *After calling this constructor,
+  * position will be deleted as it is no longer usefull.
+  *
+  * \param parent parent
+  * \param name name
+  * \param buf_size size of the text buffer
+  */
+  TextEdit(const LayoutPosition *position, std::string name,
+           size_t buf_size = 255);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~TextEdit();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~TextEdit();
 
-            /*!
-            * \brief Append a line
-            *
-            * \param format text string to display, see standard printf
-            */
-            void Append(const char * format, ...);
+  /*!
+  * \brief Append a line
+  *
+  * \param format text string to display, see standard printf
+  */
+  void Append(const char *format, ...);
 
-        private:
-            char* printf_buffer;
-            xmlNodePtr text_node;
-    };
+private:
+  char *printf_buffer;
+  xmlNodePtr text_node;
+};
 
 } // end namespace gui
Index: trunk/lib/FlairCore/src/Thread.cpp
===================================================================
--- trunk/lib/FlairCore/src/Thread.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/Thread.cpp	(revision 15)
@@ -27,146 +27,95 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-Thread::Thread(const Object* parent,string name,uint8_t priority): Object(parent,name,"Thread")
-{
-     pimpl_=new Thread_impl(this,priority);
+Thread::Thread(const Object *parent, string name, uint8_t priority)
+    : Object(parent, name, "Thread") {
+  pimpl_ = new Thread_impl(this, priority);
 }
 
-Thread::~Thread()
-{
-    delete pimpl_;
-}
+Thread::~Thread() { delete pimpl_; }
 
-void Thread::Start(void)
-{
-    pimpl_->Start();
-}
+void Thread::Start(void) { pimpl_->Start(); }
 
-void Thread::SafeStop(void)
-{
-    pimpl_->SafeStop();
-}
+void Thread::SafeStop(void) { pimpl_->SafeStop(); }
 
-bool Thread::ToBeStopped(void) const
-{
-    return pimpl_->ToBeStopped();
-}
+bool Thread::ToBeStopped(void) const { return pimpl_->ToBeStopped(); }
 
 #ifdef __XENO__
-void Thread::WarnUponSwitches(bool value)
-{
-    // Ask Xenomai to warn us upon switches to secondary mode.
-    if(value==true)
-    {
-        rt_task_set_mode(0, T_WARNSW, NULL);
-    }
-    else
-    {
-        rt_task_set_mode(T_WARNSW, 0, NULL);
-    }
+void Thread::WarnUponSwitches(bool value) {
+  // Ask Xenomai to warn us upon switches to secondary mode.
+  if (value == true) {
+    rt_task_set_mode(0, T_WARNSW, NULL);
+  } else {
+    rt_task_set_mode(T_WARNSW, 0, NULL);
+  }
 }
 #else
-void Thread::WarnUponSwitches(bool value)
-{
-    //Warn("Not applicable in non real time\n");
+void Thread::WarnUponSwitches(bool value) {
+  // Warn("Not applicable in non real time\n");
 }
 #endif
 
-void Thread::Join(void)
-{
-    pimpl_->Join();
+void Thread::Join(void) { pimpl_->Join(); }
+
+void Thread::SetPeriodUS(uint32_t period) { pimpl_->SetPeriodUS(period); }
+
+uint32_t Thread::GetPeriodUS(void) const { return pimpl_->GetPeriodUS(); }
+
+void Thread::SetPeriodMS(uint32_t period) { pimpl_->SetPeriodMS(period); }
+
+uint32_t Thread::GetPeriodMS(void) const { return pimpl_->GetPeriodMS(); }
+
+bool Thread::IsPeriodSet(void) { return pimpl_->period_set; }
+
+void Thread::WaitPeriod(void) const { pimpl_->WaitPeriod(); }
+
+void Thread::Suspend(void) { pimpl_->Suspend(); }
+
+bool Thread::SuspendUntil(Time date) { return pimpl_->SuspendUntil(date); }
+
+bool Thread::IsSuspended(void) const { return pimpl_->IsSuspended(); }
+
+void Thread::Resume(void) { pimpl_->Resume(); }
+
+int Thread::WaitUpdate(const IODevice *device) {
+  return pimpl_->WaitUpdate(device);
 }
 
-void Thread::SetPeriodUS(uint32_t period) {
-    pimpl_->SetPeriodUS(period);
-}
-
-uint32_t Thread::GetPeriodUS(void) const {
-    return pimpl_->GetPeriodUS();
-}
-
-void Thread::SetPeriodMS(uint32_t period) {
-    pimpl_->SetPeriodMS(period);
-}
-
-uint32_t Thread::GetPeriodMS(void) const {
-    return pimpl_->GetPeriodMS();
-}
-
-
-bool Thread::IsPeriodSet(void)
-{
-    return pimpl_->period_set;
-}
-
-void Thread::WaitPeriod(void) const
-{
-    pimpl_->WaitPeriod();
-}
-
-void Thread::Suspend(void)
-{
-    pimpl_->Suspend();
-}
-
-bool Thread::SuspendUntil(Time date){
-    return pimpl_->SuspendUntil(date);
-}
-
-bool Thread::IsSuspended(void) const
-{
-    return pimpl_->IsSuspended();
-}
-
-void Thread::Resume(void)
-{
-    pimpl_->Resume();
-}
-
-int Thread::WaitUpdate(const IODevice* device)
-{
-    return pimpl_->WaitUpdate(device);
-}
-
-void Thread::SleepUntil(Time time) const
-{
+void Thread::SleepUntil(Time time) const {
 #ifdef __XENO__
-    int status=rt_task_sleep_until(time);
-    if(status!=0) Err("%s, error rt_task_sleep_until (%s), resume time: %lld, actual time: %lld\n",
-                      ObjectName().c_str(),
-                      strerror(-status),
-                      time,
-                      GetTime());
-    //Printf("rt_task_sleep_until, resume time: %lld, actual time: %lld\n",time,GetTime());
+  int status = rt_task_sleep_until(time);
+  if (status != 0)
+    Err("%s, error rt_task_sleep_until (%s), resume time: %lld, actual time: "
+        "%lld\n",
+        ObjectName().c_str(), strerror(-status), time, GetTime());
+// Printf("rt_task_sleep_until, resume time: %lld, actual time:
+// %lld\n",time,GetTime());
 #else
-    Time current=GetTime();
-    if(current<time)
-    {
-        usleep((time-current)/1000);
-    }
+  Time current = GetTime();
+  if (current < time) {
+    usleep((time - current) / 1000);
+  }
 #endif
 }
 
-void Thread::SleepMS(uint32_t time) const
-{
+void Thread::SleepMS(uint32_t time) const {
 #ifdef __XENO__
-    int status=rt_task_sleep(time*1000*1000);
-    if(status!=0) Err("erreur rt_task_sleep (%s)\n",strerror(-status));
+  int status = rt_task_sleep(time * 1000 * 1000);
+  if (status != 0)
+    Err("erreur rt_task_sleep (%s)\n", strerror(-status));
 #else
-    usleep(time*1000);
+  usleep(time * 1000);
 #endif
 }
 
-void Thread::SleepUS(uint32_t time) const
-{
+void Thread::SleepUS(uint32_t time) const {
 #ifdef __XENO__
-    int status=rt_task_sleep(time*1000);
-    if(status!=0) Err("erreur rt_task_sleep (%s)\n",strerror(-status));
+  int status = rt_task_sleep(time * 1000);
+  if (status != 0)
+    Err("erreur rt_task_sleep (%s)\n", strerror(-status));
 #else
-    usleep(time);
+  usleep(time);
 #endif
 }
